# AggregatorInterface’s Methods

#### latestAnswer&#x20;

Get the latest answer stamped onto blockchain.&#x20;

**Returns** the latest answer. E.g. the latest token price.

<mark style="color:orange;">**`function`**</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">`latestAnswer()`</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">**`external`**</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">`view returns (int256)`</mark>

#### latestTimestamp&#x20;

Get the timestamp of the latest answer stamped onto blockchain.&#x20;

**Returns** the latest timestamp. E.g. the timestamp when the latest token price is stamped.&#x20;

<mark style="color:orange;">**`function`**</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">`latestTimestamp()`</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">**`external`**</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">`view returns (uint256)`</mark>

#### latestRound&#x20;

Get the round ID of the latest answer stamped onto blockchain.&#x20;

**Returns** uint80 value, which the first 16 bits represent the phase ID of the aggregator this proxy currently points to, the later 64 bits represent the round ID of the latest answer stamped onto the aggregator this proxy points to.&#x20;

<mark style="color:orange;">**`function`**</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">`latestRound()`</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">**`external`**</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">`view returns (uint256)`</mark>

**getAnswer**

Get the answer of the input round ID. The input round ID is a uint80 value, the first 16 bits represent the phase ID of an aggregator this proxy once pointed to or currently points to, the later 64 bits represent the round ID of the answer in the aggregator of the phase ID.

**Returns** the answer of the round ID.

<mark style="color:orange;">**`function`**</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">`getAnswer(uint256 roundId)`</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">**`external`**</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">`view returns (int256)`</mark>

**getTimestamp**

Get the timestamp of the answer of the input round ID. The input round ID’s details are the same as <mark style="color:orange;">`getTimestamp(uint256 roundId)`</mark> method.

**Returns** the timestamp of the answer of the round ID.

<mark style="color:orange;">**`function`**</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">`getTimestamp(uint256 roundId)`</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">**`external`**</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">`view returns (uint256)`</mark>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bkcoracle.com/utilities/data-feed-proxy-contract-interface/aggregatorinterfaces-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
